/**
 * MIT License
 *
 * Copyright (c) 2018 Luis Reinoso
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */

import { Component, Input, NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ChangelogComponent = /** @class */ (function () {
    function ChangelogComponent() {
        this.changelog = [];
    }
    ChangelogComponent.decorators = [
        { type: Component, args: [{
                    selector: 'cmp-changelog',
                    template: "<div class=\"contenedor\" *ngFor=\"let chlog of changelog\">\n    <div class=\"version\">\n        <strong>{{ chlog.version }}</strong>\n    </div>\n    <div class=\"contenedor-dia\" *ngFor=\"let dia of chlog.dias\">\n        <div class=\"fila contenedor-fecha\">\n            <strong class=\"columna-25 fecha\">\n                {{ dia.fecha | date: 'yyyy-MM-dd'}}\n            </strong>\n        </div>\n        <div class=\"fila contenedor-log\" *ngFor=\"let log of dia.logs\">\n            <div class=\"columna-25\">\n                <div class=\"etiqueta\" [ngClass]=\"log.color\">\n                    <strong>{{ log.tipo }}</strong>\n                </div>\n            </div>\n            <div class=\"columna-75\">\n                <div class=\"contenido\">\n                    {{ log.contenido }}\n                </div>\n            </div>\n        </div>\n    </div>\n</div>",
                    styles: [".fila {\n  display: flex;\n  flex-wrap: wrap; }\n\n.columna-50 {\n  flex: 50%; }\n\n.columna-25 {\n  flex: 25%; }\n\n.columna-75 {\n  flex: 75%; }\n\n.contenedor {\n  margin: 2px;\n  max-width: 600px; }\n\n.contenedor-dia {\n  position: relative;\n  padding: 5px;\n  padding-left: 50px; }\n\n.contenedor-log {\n  padding: 10px; }\n\n.contenedor-fecha {\n  padding: 5px; }\n\n.fecha {\n  font-size: 12px;\n  border-bottom: 1px solid #6f42c1; }\n\n.etiqueta {\n  border-radius: 10px;\n  padding: 5px 10px;\n  width: 70%;\n  font-size: 10px;\n  text-align: center;\n  color: white; }\n\n.contenido {\n  padding: 2px; }\n\n.b-success {\n  background-color: #28a745; }\n\n.b-info {\n  background-color: #17a2b8; }\n\n.b-warning {\n  background-color: #ffc107; }\n\n.b-danger {\n  background-color: #dc3545; }\n\n.contenedor-dia::after {\n  content: '';\n  position: absolute;\n  width: 1px;\n  background-color: #6f42c1;\n  top: 0;\n  bottom: 0;\n  left: 25px;\n  margin-left: -5px; }\n\n.contenedor-dia::before {\n  content: '';\n  position: absolute;\n  width: 16px;\n  height: 16px;\n  left: 25px;\n  margin-left: -12px;\n  background-color: white;\n  border: 4px solid #6610f2;\n  top: 8px;\n  border-radius: 50%;\n  z-index: 1; }\n\n@media only screen and (max-width: 600px) {\n  .etiqueta {\n    border-radius: 10px;\n    padding: 5px 20px;\n    width: 100%;\n    font-size: 10px;\n    text-align: center;\n    color: white; } }\n"]
                }] }
    ];
    /** @nocollapse */
    ChangelogComponent.ctorParameters = function () { return []; };
    ChangelogComponent.propDecorators = {
        "changelog": [{ type: Input },],
    };
    return ChangelogComponent;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
var ChangelogModule = /** @class */ (function () {
    function ChangelogModule() {
    }
    /**
     * Use in AppModule: new instance of SumService.
     * @return {?}
     */
    ChangelogModule.forRoot = /**
     * Use in AppModule: new instance of SumService.
     * @return {?}
     */
    function () {
        return {
            ngModule: ChangelogModule
        };
    };
    /**
     * Use in features modules with lazy loading: new instance of SumService.
     * @return {?}
     */
    ChangelogModule.forChild = /**
     * Use in features modules with lazy loading: new instance of SumService.
     * @return {?}
     */
    function () {
        return {
            ngModule: ChangelogModule
        };
    };
    ChangelogModule.decorators = [
        { type: NgModule, args: [{
                    declarations: [
                        ChangelogComponent
                    ],
                    exports: [
                        ChangelogComponent
                    ],
                    imports: [
                        CommonModule
                    ]
                },] }
    ];
    return ChangelogModule;
}());

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/** @enum {string} */
var Colores = {
    success: 'b-success',
    info: 'b-info',
    warning: 'b-warning',
    danger: 'b-danger',
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
/** @enum {string} */
var TipoLog = {
    agregado: 'Agregado',
    eliminado: 'Eliminado',
    modificado: 'Modificado',
    pruebas: 'Pruebas',
};

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */
// This file only reexports content of the `src` folder. Keep it that way.

/**
 * @fileoverview added by tsickle
 * @suppress {checkTypes} checked by tsc
 */

export { ChangelogComponent, ChangelogModule, Colores, TipoLog };
//# sourceMappingURL=ngx-changelog.js.map
